# services

**Namespace**  : alphayax\freebox\api\v3\services

# Overview

- [AirMedia](./AirMedia/AirMedia.md)
  - [AirMediaReceiver](AirMedia/AirMedia.md#AirMediaReceiver)
  - [Config](AirMedia/AirMedia.md#Config)
- [Call](./Call/Call.md)
  - [Contact](./Call/Contact/Contact.md)
    - [ContactAddress](Call/Contact/Contact.md#ContactAddress)
    - [ContactEmail](Call/Contact/Contact.md#ContactEmail)
    - [ContactEntry](Call/Contact/Contact.md#ContactEntry)
    - [ContactNumber](Call/Contact/Contact.md#ContactNumber)
    - [ContactUrl](Call/Contact/Contact.md#ContactUrl)
  - [CallEntry](Call/Call.md#CallEntry)
- [FileSystem](./FileSystem/FileSystem.md)
  - [FileSharingLink](FileSystem/FileSystem.md#FileSharingLink)
  - [FileSystemListing](FileSystem/FileSystem.md#FileSystemListing)
  - [FileSystemOperation](FileSystem/FileSystem.md#FileSystemOperation)
  - [FileSystemTask](FileSystem/FileSystem.md#FileSystemTask)
  - [FileUpload](FileSystem/FileSystem.md#FileUpload)
- [ParentalControl](./ParentalControl/ParentalControl.md)
  - [Filter](ParentalControl/ParentalControl.md#Filter)
  - [FilterPlanning](ParentalControl/ParentalControl.md#FilterPlanning)
- [RRD](./RRD/RRD.md)
  - [Fetch](RRD/RRD.md#Fetch)
- [Storage](./Storage/Storage.md)
  - [Disk](Storage/Storage.md#Disk)
  - [Partition](Storage/Storage.md#Partition)
- [config](./config/config.md)
  - [Connection](./config/Connection/Connection.md)
    - [DynDns](./config/Connection/DynDns/DynDns.md)
      - [DynDns](config/Connection/DynDns/DynDns.md#DynDns)
      - [NoIP](config/Connection/DynDns/DynDns.md#NoIP)
      - [Ovh](config/Connection/DynDns/DynDns.md#Ovh)
    - [Connection](config/Connection/Connection.md#Connection)
    - [DynDns](config/Connection/Connection.md#DynDns)
    - [Ftth](config/Connection/Connection.md#Ftth)
    - [Xdsl](config/Connection/Connection.md#Xdsl)
  - [LAN](./config/LAN/LAN.md)
    - [Browser](config/LAN/LAN.md#Browser)
    - [LAN](config/LAN/LAN.md#LAN)
  - [NAT](./config/NAT/NAT.md)
    - [DMZ](config/NAT/NAT.md#DMZ)
    - [IncomingPort](config/NAT/NAT.md#IncomingPort)
    - [PortForwarding](config/NAT/NAT.md#PortForwarding)
  - [NetworkShare](./config/NetworkShare/NetworkShare.md)
    - [Afp](config/NetworkShare/NetworkShare.md#Afp)
    - [Samba](config/NetworkShare/NetworkShare.md#Samba)
  - [SwitchPort](./config/SwitchPort/SwitchPort.md)
    - [Config](config/SwitchPort/SwitchPort.md#Config)
    - [Stats](config/SwitchPort/SwitchPort.md#Stats)
    - [Status](config/SwitchPort/SwitchPort.md#Status)
  - [UPnP](./config/UPnP/UPnP.md)
    - [AV](config/UPnP/UPnP.md#AV)
    - [IGD](config/UPnP/UPnP.md#IGD)
  - [VPN](./config/VPN/VPN.md)
    - [Client](./config/VPN/Client/Client.md)
      - [Config](config/VPN/Client/Client.md#Config)
      - [Status](config/VPN/Client/Client.md#Status)
    - [Server](./config/VPN/Server/Server.md)
      - [Config](config/VPN/Server/Server.md#Config)
      - [Connection](config/VPN/Server/Server.md#Connection)
      - [IpPool](config/VPN/Server/Server.md#IpPool)
      - [User](config/VPN/Server/Server.md#User)
  - [WiFi](./config/WiFi/WiFi.md)
    - [AccessPoint](config/WiFi/WiFi.md#AccessPoint)
    - [Bss](config/WiFi/WiFi.md#Bss)
    - [Config](config/WiFi/WiFi.md#Config)
    - [MacFilter](config/WiFi/WiFi.md#MacFilter)
    - [Planning](config/WiFi/WiFi.md#Planning)
  - [DHCP](config/config.md#DHCP)
  - [FTP](config/config.md#FTP)
  - [Freeplug](config/config.md#Freeplug)
  - [LCD](config/config.md#LCD)
  - [System](config/config.md#System)
- [download](./download/download.md)
  - [BlackList](download/download.md#BlackList)
  - [Configuration](download/download.md#Configuration)
  - [Download](download/download.md#Download)
  - [Feed](download/download.md#Feed)
  - [Peer](download/download.md#Peer)
  - [Tracker](download/download.md#Tracker)
- [login](./login/login.md)
  - [Authorize](login/login.md#Authorize)
  - [Session](login/login.md#Session)

